## org.apache.commons.math.optimization.linear
Class UnboundedSolutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException
                      org.apache.commons.math.optimization.OptimizationException
                          org.apache.commons.math.optimization.linear.UnboundedSolutionException

All Implemented Interfaces:
  java.io.Serializable

    public class UnboundedSolutionException

extends OptimizationException

This class represents exceptions thrown by optimizers when a solution escapes to infinity.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`UnboundedSolutionException()` Simple constructor using a default message.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### UnboundedSolutionException

    public UnboundedSolutionException()

  Simple constructor using a default message.

Copyright (c) 2003-2010 Apache Software Foundation